store | blogs | forums | twitter | facebook | wiki | downloads | support portal
Atomic Secure Linux
It is currently Mon Aug 19, 2019 12:49 pm

» Feed - Atomicorp

All times are UTC - 5 hours [ DST ]




Post new topic Reply to topic  [ 8 posts ] 
Author Message
 Post subject: Parallels Update experiencing error - mysql
Unread postPosted: Sun May 11, 2014 3:58 pm 
Offline
Forum Regular
Forum Regular

Joined: Fri May 06, 2011 8:16 pm
Posts: 104
Location: UK
Execution failed.
Command: autoinstaller
Arguments: Array
(
[0] => --select-product-id
[1] => plesk
[2] => --select-release-current
[3] => --upgrade-installed-components
)

Details: Doing restart of Parallels Installer...
File downloading products.inf3: 100% was finished.
File downloading plesk.inf3: 11%..21%..31%..44%..50%..62%..71%..83%..93%..100% was finished.
File downloading ppsmbe.inf3: 100% was finished.
File downloading sitebuilder.inf3: 100% was finished.
File downloading sso.inf3: 100% was finished.
File downloading setemplates.inf3: 100% was finished.
File downloading pp-sitebuilder.inf3: 19%..40%..56%..78%..99%..100% was finished.
File downloading billing.inf3: 14%..31%..43%..59%..76%..80%..98%..100% was finished.
File downloading mysql.inf3: 100% was finished.
File downloading apache.inf3: 100% was finished.
File downloading nginx.inf3: 22%..35%..47%..60%..72%..85%..97%..100% was finished.
Checking for installed packages...
File downloading PSA_11.5.30/plesk-11.5.30-cos6-x86_64.inf3: 22%..48%..66%..92%..100% was finished.
File downloading PSA_11.5.30/plesk-patches-11.5.30-cos6-x86_64.inf3: 18%..40%..55%..77%..98%..100% was finished.
File downloading SITEBUILDER_11.5.10/sitebuilder-11.5.10-rhall-all.inf3: 100% was finished.
File downloading BILLING_11.5.30/billing-11.5.30-rhall-all.inf3: 100% was finished.
File downloading NGINX_1.5.0/nginx-1.5.0-cos6-x86_64.inf3: 100% was finished.
Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
* asl-4.0: www6.atomicorp.com
* atomic: www7.atomicorp.com
* tortix: www6.atomicorp.com
190 packages excluded due to repository priority protections


Detecting installed product components.
Gathering information about installed license key...
Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
* asl-4.0: www6.atomicorp.com
* atomic: www7.atomicorp.com
* tortix: www6.atomicorp.com

PPB_11_5_30-dist | 951 B 00:00

PPB_11_5_30-thirdparty | 951 B 00:00

PSA_11_5_30-dist | 2.9 kB 00:00

PSA_11_5_30-thirdparty | 2.9 kB 00:00

SITEBUILDER_11_5_10-dist | 951 B 00:00

SITEBUILDER_11_5_10-thirdparty | 951 B 00:00

193 packages excluded due to repository priority protections
+ mysql
+ mysql-server
+ mysqlclient16
+ mysql-libs

Following amount of diskpace required in directories:
/usr/local: 1200.00 Mb.
Total required: 1200.00 Mb, available 1199488.00 Mb.

Installing packages
Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
* asl-4.0: www6.atomicorp.com
* atomic: www7.atomicorp.com
* tortix: www6.atomicorp.com
193 packages excluded due to repository priority protections
(1/4): mysql-5.5.37-22 (2%) 8% [= ] 0.0 B/s | 512 kB --:-- ETA
(1/4): mysql-5.5.37-22 (9%) 28% [===- ] 1.9 MB/s | 1.6 MB 00:02 ETA
(1/4): mysql-5.5.37-22 (15%) 48% [=====- ] 2.0 MB/s | 2.8 MB 00:01 ETA
(1/4): mysql-5.5.37-22 (21%) 68% [======== ] 2.1 MB/s | 3.9 MB 00:00 ETA
(1/4): mysql-5.5.37-22 (30%) 94% [=========== ] 2.3 MB/s | 5.4 MB 00:00 ETA
(1/4): mysql-5.5.37-22 (31%) 98% [===========-] 2.1 MB/s | 5.7 MB 00:00 ETA

(1/4): mysql-5.5.37-22.el6.art.x86_64.rpm | 5.7 MB 00:02
(2/4): mysql-libs-5.5. (33%) 48% [=====- ] 0.0 B/s | 368 kB --:-- ETA

(2/4): mysql-libs-5.5.37-22.el6.art.x86_64.rpm | 757 kB 00:00
(3/4): mysql-server-5. (38%) 3% [ ] 0.0 B/s | 402 kB --:-- ETA
(3/4): mysql-server-5. (44%) 14% [=- ] 1.6 MB/s | 1.5 MB 00:05 ETA
(3/4): mysql-server-5. (52%) 28% [=== ] 1.8 MB/s | 2.9 MB 00:03 ETA
(3/4): mysql-server-5. (59%) 42% [===== ] 2.0 MB/s | 4.2 MB 00:02 ETA
(3/4): mysql-server-5. (67%) 56% [======- ] 2.2 MB/s | 5.7 MB 00:02 ETA
(3/4): mysql-server-5. (75%) 70% [======== ] 2.3 MB/s | 7.1 MB 00:01 ETA
(3/4): mysql-server-5. (83%) 83% [========== ] 2.4 MB/s | 8.5 MB 00:00 ETA

(3/4): mysql-server-5.5.37-22.el6.art.x86_64.rpm | 10 MB 00:02
(4/4): mysqlclient16-5 (92%) 3% [ ] 0.0 B/s | 48 kB --:-- ETA
(4/4): mysqlclient16-5 (92%) 4% [- ] 9.3 kB/s | 64 kB 02:23 ETA
(4/4): mysqlclient16-5 (92%) 7% [- ] 17 kB/s | 112 kB 01:15 ETA
(4/4): mysqlclient16-5 (93%) 9% [= ] 17 kB/s | 128 kB 01:15 ETA
(4/4): mysqlclient16-5 (93%) 12% [=- ] 25 kB/s | 176 kB 00:48 ETA
(4/4): mysqlclient16-5 (94%) 22% [==- ] 53 kB/s | 320 kB 00:20 ETA
(4/4): mysqlclient16-5 (94%) 27% [=== ] 62 kB/s | 384 kB 00:16 ETA
(4/4): mysqlclient16-5 (95%) 35% [==== ] 78 kB/s | 496 kB 00:11 ETA
(4/4): mysqlclient16-5 (96%) 48% [=====- ] 94 kB/s | 688 kB 00:07 ETA
(4/4): mysqlclient16-5 (96%) 51% [====== ] 94 kB/s | 720 kB 00:07 ETA
(4/4): mysqlclient16-5 (96%) 54% [======- ] 98 kB/s | 768 kB 00:06 ETA
(4/4): mysqlclient16-5 (96%) 60% [======= ] 108 kB/s | 848 kB 00:05 ETA
(4/4): mysqlclient16-5 (98%) 85% [========== ] 171 kB/s | 1.2 MB 00:01 ETA

(4/4): mysqlclient16-5.1.59-2.el6.art.x86_64.rpm | 1.4 MB 00:08
Running rpm_check_debug
Fatal error during packages installation: Test Transaction Errors: file /usr/lib64/mysql/libmysqlclient.so.18.0.0 from install of mysql-libs-5.5.37-22.el6.art.x86_64 conflicts with file from package mysqlclient18-5.5.28-6.el6.art.x86_64

YumTestTransactionError: Test Transaction Errors: file /usr/lib64/mysql/libmysqlclient.so.18.0.0 from install of mysql-libs-5.5.37-22.el6.art.x86_64 conflicts with file from package mysqlclient18-5.5.28-6.el6.art.x86_64


ERROR: Failed to run the Yum utility.
The Yum utility failed to install the required packages.
Attention! Your software might be inoperable.
Please, contact product technical support.


Top
 Profile  
Reply with quote  
 Post subject: Re: Parallels Update experiencing error - mysql
Unread postPosted: Mon May 12, 2014 8:27 pm 
Offline
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin

Joined: Wed Dec 31, 1969 8:00 pm
Posts: 8329
Location: earth
So if you're going from mysql 5.1 to 5.5 you'll need to remove the mysqlclient18 package first. You'll need to use --nodeps to remove it first, and then immediately complete the upgrade to mysql 5.5, since anything that uses it is going to break without a mysql client library around (which is a lot!).


Top
 Profile  
Reply with quote  
 Post subject: Re: Parallels Update experiencing error - mysql
Unread postPosted: Mon May 12, 2014 8:51 pm 
Offline
Forum Regular
Forum Regular

Joined: Tue Aug 01, 2006 2:45 pm
Posts: 573
Location: Netherlands
scott wrote:
So if you're going from mysql 5.1 to 5.5 you'll need to remove the mysqlclient18 package first. You'll need to use --nodeps to remove it first, and then immediately complete the upgrade to mysql 5.5, since anything that uses it is going to break without a mysql client library around (which is a lot!).


Pro-tip: download the new packages in advance via yumdownloader, so you have almost zero delay during the upgrade procedure.

That said, does the topic starter really want to switch from the CentOS MySQL packages to the ART packages? Confronted with this during a Plesk update, I suppose it probably wasn't his/her intention. I also strongly recommend the topic starter making extra backups shortly before upgrading and to read about the changes between 5.1 and 5.5.

_________________
Lemonbit Internet Dedicated Server Management


Top
 Profile  
Reply with quote  
 Post subject: Re: Parallels Update experiencing error - mysql
Unread postPosted: Tue May 13, 2014 4:25 pm 
Offline
Forum Regular
Forum Regular

Joined: Mon Apr 10, 2006 12:55 pm
Posts: 674
If you can, install php-mysqlnd (replaces php-mysql) and then you can skip the mysqlclient mess entirely

_________________
"Its not a mac. I run linux... I'm actually cool." - scott


Top
 Profile  
Reply with quote  
 Post subject: Re: Parallels Update experiencing error - mysql
Unread postPosted: Wed May 14, 2014 5:42 am 
Offline
Forum Regular
Forum Regular

Joined: Tue Aug 01, 2006 2:45 pm
Posts: 573
Location: Netherlands
Highland wrote:
If you can, install php-mysqlnd (replaces php-mysql) and then you can skip the mysqlclient mess entirely


Great suggestion! Do note that php-mysqlnd does not work with the stock CentOS PHP packages, only with the PHP packages provided by the ART/Atomic yum channel.

_________________
Lemonbit Internet Dedicated Server Management


Top
 Profile  
Reply with quote  
 Post subject: Re: Parallels Update experiencing error - mysql
Unread postPosted: Wed May 14, 2014 6:20 pm 
Offline
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin

Joined: Wed Dec 31, 1969 8:00 pm
Posts: 8329
Location: earth
Also you'll need to make sure you're not using old_passwords with mysql.


Top
 Profile  
Reply with quote  
 Post subject: Re: Parallels Update experiencing error - mysql
Unread postPosted: Mon Nov 03, 2014 10:05 pm 
Offline
Forum User
Forum User

Joined: Sun May 16, 2010 6:59 pm
Posts: 15
Hi,

Thanks everyone for the input.

I need to upgrade to mysql 5.5.but yum and Plesk 12 control panel are unable to do it, also I currently have ASL installed.

After reading carefully all your contributions, found I do have installed: "asl-php-mysqlnd.x86_64 5.4.34-31.el5.art" AS WELL AS " mysqlclient18.x86_64 5.5.28-6.el5.art".

Is it safe to uninstall mysqlclient18 with no deps as instructed and proceed with the mysql upgrade? or should I do something else in order to avoid breaking any library?

I don't mind sticking to Atomic's future version as I will keep ASL.

Thanks in advance,

Best regards.


Top
 Profile  
Reply with quote  
 Post subject: Re: Parallels Update experiencing error - mysql
Unread postPosted: Mon Nov 03, 2014 11:26 pm 
Offline
Forum User
Forum User

Joined: Sun May 16, 2010 6:59 pm
Posts: 15
Well, couldn't wait much so decided to take the risk and upgrade.

First opened Plesk 12 upgrade panel and set everything ready to just click the upgrade button after selecting mysql 5.5

then erased mysqlclient18 doing: rpm -e --nodeps mysqlclient18

Went back to the control panel and proceeded with the upgrade.
Took a couple of minutes and got the updated flag.

Went back to ssh and realized that mysql couldn't start.

Tried mysql_upgrade -uadmin -p`< /etc/psa/.psa.shadow ` but it wouldn't run.

Looked at the logs, "skip-locking" was not recognized stopping the upgrade process and showing error.

Comented out "skip-locking" from my.cnf and tried again.

This time I could run upgrade and mysql started successfully. Everything is back to normal and running fine.

Hopefully this will help some looking for help on this.

Best regards.


Top
 Profile  
Reply with quote  
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 8 posts ] 

» Feed - Atomicorp

All times are UTC - 5 hours [ DST ]


Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group